Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class Pain00100102

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.Pain00100102

public class Pain00100102 extends Object

Java class for pain.001.001.02 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="pain.001.001.02">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:sepade:xsd:pain.001.001.02}GroupHeader20"/>
             <element name="PmtInf" type="{urn:sepade:xsd:pain.001.001.02}PaymentInstructionInformation4"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GroupHeader20`
`grpHdr`
`protected PaymentInstructionInformation4`
`pmtInf`

## Constructor Summary

Constructors
Constructor
Description
`Pain00100102()`

## Method Summary

Modifier and Type
Method
Description
`GroupHeader20`
`getGrpHdr()`
Gets the value of the grpHdr property.
`PaymentInstructionInformation4`
`getPmtInf()`
Gets the value of the pmtInf property.
`void`
`setGrpHdr(GroupHeader20 value)`
Sets the value of the grpHdr property.
`void`
`setPmtInf(PaymentInstructionInformation4 value)`
Sets the value of the pmtInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### grpHdr

protected GroupHeader20 grpHdr

### pmtInf

protected PaymentInstructionInformation4 pmtInf

## Constructor Details

### Pain00100102

public Pain00100102()

## Method Details

### getGrpHdr

public GroupHeader20 getGrpHdr()
Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader20`

### setGrpHdr

public void setGrpHdr(GroupHeader20 value)
Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader20`

### getPmtInf

public PaymentInstructionInformation4 getPmtInf()
Gets the value of the pmtInf property.

Returns:
  possible object is `PaymentInstructionInformation4`

### setPmtInf

public void setPmtInf(PaymentInstructionInformation4 value)
Sets the value of the pmtInf property.

Parameters:
  `value` - allowed object is `PaymentInstructionInformation4`